juju bootstrap --upload-tools does not honor the arch of the machine being created

Bug #1282869 reported by Dave Cheney on 2014-02-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
Critical
Ian Booth

Bug Description

Trying to bootstrap a precise/amd64 machine from another architecture fails completely with --upload-tools.

Juju does not generate amd64 tools, this might be reasonable

Juju does not fail early, this is not reasonable.

ubuntu@winton-02:~$ juju bootstrap -v --upload-tools --constraints="arch=amd64"
verbose is deprecated with the current meaning, use show-log
2014-02-21 03:51:32 INFO juju.environs open.go:158 environment info already exists; using New not Prepare
2014-02-21 03:51:33 INFO juju.provider.ec2 ec2.go:200 opening environment "us-west-1"
2014-02-21 03:51:33 INFO juju.environs.tools build.go:162 found existing jujud
2014-02-21 03:51:33 INFO juju.environs.tools build.go:172 target: /tmp/juju-tools229538191/jujud
2014-02-21 03:51:38 INFO juju.environs.sync sync.go:218 built tools 1.17.3.1-trusty-ppc64 (6090kB)
2014-02-21 03:51:38 INFO juju.environs.tools simplestreams.go:357 Writing tools/streams/v1/index.json
2014-02-21 03:51:38 INFO juju.environs.tools simplestreams.go:357 Writing tools/streams/v1/com.ubuntu.juju:released:tools.json
2014-02-21 03:51:38 INFO juju.environs.sync sync.go:142 using sync tools source: file:///tmp/205061538/tools
2014-02-21 03:51:38 INFO juju.environs.sync sync.go:65 listing available tools
2014-02-21 03:51:38 INFO juju.environs.sync sync.go:86 found 2 tools
2014-02-21 03:51:38 INFO juju.environs.sync sync.go:96 listing target tools storage
2014-02-21 03:51:39 INFO juju.environs.sync sync.go:109 found 1 tools in target; 1 tools to be copied
2014-02-21 03:51:39 INFO juju.environs.sync sync.go:149 copying 1.17.3.1-trusty-ppc64 from file:///tmp/205061538/tools/releases/juju-1.17.3.1-trusty-ppc64.tgz
2014-02-21 03:51:39 INFO juju.environs.sync sync.go:163 copying tools/releases/juju-1.17.3.1-trusty-ppc64.tgz
2014-02-21 03:51:39 INFO juju.environs.sync sync.go:176 downloaded tools/releases/juju-1.17.3.1-trusty-ppc64.tgz (6090kB), uploading
2014-02-21 03:51:39 INFO juju.environs.sync sync.go:177 download 6090kB, uploading
2014-02-21 03:53:32 INFO juju.environs.sync sync.go:114 copied 1 tools
2014-02-21 03:53:32 INFO juju.environs.sync sync.go:116 generating tools metadata
2014-02-21 03:53:34 INFO juju.environs.tools simplestreams.go:357 Writing tools/streams/v1/index.json
2014-02-21 03:53:34 INFO juju.environs.tools simplestreams.go:357 Writing tools/streams/v1/com.ubuntu.juju:released:tools.json
2014-02-21 03:53:35 INFO juju.environs.sync sync.go:128 tools metadata written
2014-02-21 03:53:37 INFO juju.environs.bootstrap bootstrap.go:46 bootstrapping environment "us-west-1"
2014-02-21 03:53:42 INFO juju.environs.tools tools.go:85 reading tools with major.minor version 1.17
2014-02-21 03:53:42 INFO juju.environs.tools tools.go:93 filtering tools by version: 1.17.3.1
2014-02-21 03:53:42 INFO juju.environs.tools tools.go:96 filtering tools by series: precise
2014-02-21 03:53:42 INFO juju.environs.tools tools.go:99 filtering tools by architecture: amd64
2014-02-21 03:53:44 WARNING juju.environs.bootstrap synctools.go:108 no tools available, attempting to retrieve from https://streams.canonical.com/juju/tools
2014-02-21 03:53:44 INFO juju.environs.sync sync.go:142 using sync tools source: https://streams.canonical.com/juju/tools
2014-02-21 03:53:44 INFO juju.environs.sync sync.go:65 listing available tools
2014-02-21 03:53:44 ERROR juju.environs.bootstrap synctools.go:48 Juju cannot bootstrap because no tools are available for your environment.
In addition, no tools could be located to upload.
You may want to use the 'tools-metadata-url' configuration setting to specify the tools location.

2014-02-21 03:53:44 ERROR juju.provider.common bootstrap.go:140 bootstrap failed: cannot find bootstrap tools: no tools available
2014-02-21 03:53:45 ERROR juju.cmd supercommand.go:293 cannot find bootstrap tools: no tools available

Related branches

Curtis Hovey (sinzui) on 2014-02-21
tags: added: bootstrap upload-tools
Curtis Hovey (sinzui) on 2014-02-21
tags: added: ppc64el
Changed in juju-core:
status: New → Triaged
importance: Undecided → High
milestone: none → 1.18.0
Curtis Hovey (sinzui) on 2014-03-04
tags: added: constraints
Dave Cheney (dave-cheney) wrote :

Setting to critical and assigning to 1.18 as discussed

Changed in juju-core:
importance: High → Critical
milestone: 1.20.0 → 1.18.0
Ian Booth (wallyworld) on 2014-03-17
Changed in juju-core:
assignee: nobody → Ian Booth (wallyworld)
status: Triaged → In Progress
John A Meinel (jameinel) on 2014-03-17
Changed in juju-core:
milestone: 1.18.0 → 1.17.6
Ian Booth (wallyworld) on 2014-03-19
Changed in juju-core:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2014-03-20
Changed in juju-core:
status: Fix Committed → Fix Released
John A Meinel (jameinel) wrote :

bug #1307643 is about the same bug being around for "juju upgrade-juju --upload-tools".

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers